Page MenuHomeFreeBSD

Add HISTORY sections to ZFS and dtrace manpages
ClosedPublic

Authored by gbe on Feb 25 2020, 2:53 PM.

Details

Summary

Add HISTORY sections to ZFS and dtrace manpages

Test Plan

mandoc output review

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

carlavilla added a subscriber: carlavilla.

@bcr and @imp can I make the commit for this files?

bcr requested changes to this revision.Mar 27 2020, 12:05 PM
bcr added a reviewer: allanjude.
bcr added a subscriber: allanjude.

@allanjude : Is that OK, considering the upstream changes to those man pages?

This revision now requires changes to proceed.Mar 27 2020, 12:05 PM

@bcr @allanjude As far as I know, these manpages where converted to mdoc a while ago, so an easy upstream adaption isn't that this simple as it may seems. This was driving me towards a FreeBSD only HISTORY section for the manpages.

Gordon

@bcr can this be committed? I would afterwards upstream this patch to the OpenSolaris folks, considering, they like HISTORY sections. ;-)

OK then. Thanks for following up on this.

This revision is now accepted and ready to land.Jun 13 2020, 10:03 AM
This revision was automatically updated to reflect the committed changes.